Bug 1687147 - [abrt] pulseeffects: gst_caps_set_simple_valist(): pulseeffects killed by SIGSEGV
Summary: [abrt] pulseeffects: gst_caps_set_simple_valist(): pulseeffects killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseeffects
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d1e41bc6dbc67b16836a4f51de0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-10 11:50 UTC by Serdar Sağlam
Modified: 2019-06-30 02:26 UTC (History)
1 user (show)

Fixed In Version: pulseeffects-4.6.4-1.fc30 pulseeffects-4.6.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-30 00:56:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.17 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: cgroup (297 bytes, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: core_backtrace (21.34 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: cpuinfo (1.72 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: dso_list (15.04 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: environ (1.62 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: exploitable (82 bytes, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: limits (1.29 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: maps (89.33 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: mountinfo (4.02 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: open_fds (2.53 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details
File: var_log_messages (228 bytes, text/plain)
2019-03-10 11:50 UTC, Serdar Sağlam
no flags Details

Description Serdar Sağlam 2019-03-10 11:50:07 UTC
Version-Release number of selected component:
pulseeffects-4.5.0-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/pulseeffects --gapplication-service
crash_function: gst_caps_set_simple_valist
executable:     /usr/bin/pulseeffects
journald_cursor: s=3311329f517f45b88c72961ee3411ee4;i=ef9;b=99b51bf2053641c8b906d7cc54febbee;m=179300a3;t=583bc0017e229;x=fddbe14206ec3833
kernel:         5.0.0-0.rc8.git0.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 gst_caps_set_simple_valist at gstcaps.c:1082
 #1 gst_caps_set_simple at gstcaps.c:1115
 #2 gst_pulse_format_info_to_caps at pulseutil.c:495
 #3 gst_pulsesrc_create_stream at pulsesrc.c:1332
 #4 gst_pulsesrc_negotiate at pulsesrc.c:1451
 #5 gst_base_src_negotiate at gstbasesrc.c:3379
 #6 gst_base_src_loop at gstbasesrc.c:2801
 #7 gst_task_func at gsttask.c:328
 #9 g_thread_proxy at ../glib/gthread.c:805

Comment 1 Serdar Sağlam 2019-03-10 11:50:10 UTC
Created attachment 1542514 [details]
File: backtrace

Comment 2 Serdar Sağlam 2019-03-10 11:50:11 UTC
Created attachment 1542515 [details]
File: cgroup

Comment 3 Serdar Sağlam 2019-03-10 11:50:12 UTC
Created attachment 1542516 [details]
File: core_backtrace

Comment 4 Serdar Sağlam 2019-03-10 11:50:13 UTC
Created attachment 1542517 [details]
File: cpuinfo

Comment 5 Serdar Sağlam 2019-03-10 11:50:15 UTC
Created attachment 1542518 [details]
File: dso_list

Comment 6 Serdar Sağlam 2019-03-10 11:50:16 UTC
Created attachment 1542519 [details]
File: environ

Comment 7 Serdar Sağlam 2019-03-10 11:50:17 UTC
Created attachment 1542520 [details]
File: exploitable

Comment 8 Serdar Sağlam 2019-03-10 11:50:18 UTC
Created attachment 1542521 [details]
File: limits

Comment 9 Serdar Sağlam 2019-03-10 11:50:20 UTC
Created attachment 1542522 [details]
File: maps

Comment 10 Serdar Sağlam 2019-03-10 11:50:21 UTC
Created attachment 1542523 [details]
File: mountinfo

Comment 11 Serdar Sağlam 2019-03-10 11:50:22 UTC
Created attachment 1542524 [details]
File: open_fds

Comment 12 Serdar Sağlam 2019-03-10 11:50:24 UTC
Created attachment 1542525 [details]
File: proc_pid_status

Comment 13 Serdar Sağlam 2019-03-10 11:50:25 UTC
Created attachment 1542526 [details]
File: var_log_messages

Comment 14 Fedora Update System 2019-06-21 07:27:56 UTC
FEDORA-2019-5038189dfd has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5038189dfd

Comment 15 Fedora Update System 2019-06-22 02:46:25 UTC
pulseeffects-4.6.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5038189dfd

Comment 16 Fedora Update System 2019-06-22 06:04:45 UTC
pulseeffects-4.6.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d544300bbf

Comment 17 Fedora Update System 2019-06-30 00:56:31 UTC
pulseeffects-4.6.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-06-30 02:26:49 UTC
pulseeffects-4.6.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.